Subject: Re: Strange things happens with C-v in read-file-name

From: Lennart Borgman <[email-masked]>
Date: Wed, 24 Mar 2010 13:37:44 +0100

I have still got no answer to this one so I am cc:ing emacs devel list.

On Tue, Feb 2, 2010 at 1:23 PM, Lennart Borgman
<[email-masked]> wrote:
> I got no answer so I am sending a bug report. This is a very
> irritating bug that hits me all the time.
>
>
> ---------- Forwarded message ----------
> From: Lennart Borgman <[email-masked]>
> Date: Wed, Jan 27, 2010 at 11:16 PM
> Subject: Strange things happens with C-v in read-file-name
> To: Emacs-Devel devel <[email-masked]>
>
>
> I do not know if this is a bug in Emacs sources from 2010-01-26 or
> something I had introduced in some way. However C-v does not work for
> me in the read-file-name prompt (C-x C-f) any more. Checking the key
> binding I get this in a normal buffer
>
>  C-v is bound to `cua-paste' in `cua--cua-keys-keymap'
>
> but in the C-x C-f prompt I get:
>
>  C-v is bound to `cua-scroll-up' in `global-map'
>
> I have no idea what has happened. However first I noticed some
> problems with Viper (eh, yes, I use viper-mode and cua-mode
> together...). I have customized viper so that C-v is not bound there,
> but for some reason it showed up bound (to quote-insert) which it was
> not before.
>
> I looked a bit but could not find out what has happened so I did a
> quick workaround for the viper problem. Then instead this cua-mode
> problem emerged.
>
> I do not know how to reproduce this from "emacs -Q" at the moment. And
> I can't see what is wrong. All keymaps looks as I expect them to do
> (including emulation-mode-map-alist). It just looks like
> emulation-mode-map-alist is bypassed.
>
> I can reproduce it with
>
>   emacs --no-desktop
>   C-x b somename RET RET
>   C-x C-f C-v
>
> The problem is there in the 2010-01-21 checkout (unpatched) but not in
> 2009-12-04 (patched). Unfortunately I have nothing in between there.
>
>
> Anyone have any idea what is going on here? Writing this message it is
> more and more clear to me there is some rather serious bug here. I
> just have no idea how to track it down.
>